%define _unpackaged_files_terminate_build 0%{nil}

%define __find_provides %{nil}

%define	with_python_subpackage	1%{nil}
# #define	with_python_version	2.4%{nil}
%define	with_python_version_22	2.2%{nil}
%define	with_python_version_23	2.3%{nil}
%define	with_python_version_24	2.4%{nil}
%define	with_bzip2		1%{nil}
%define	with_apidocs		0%{nil}

# XXX legacy requires './' payload prefix to be omitted from rpm packages.
%define	_noPayloadPrefix	1

%ifarch i386 i486 i586 i686 athlon
%define vzrpm_name	vzrpm44
%endif

%ifarch ia64
%define vzrpm_name	vzrpm44i64
%endif

%ifarch amd64 x86_64 ia32e
%define vzrpm_name	vzrpm44x64
%endif

%define	__prefix	/usr/share/vzpkgtools/%{vzrpm_name}

%{?!_lib: %define _lib lib}
%{expand: %%define __share %(if [ -d %{__prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}

%define __bindir	%{__prefix}/bin
%define __includedir	%{__prefix}/include
%define __libdir	%{__prefix}/%{_lib}
%define __mandir	%{__prefix}%{__share}/man

Summary: The RPM package management system.
Name: %{vzrpm_name}
%define version 4.4.1
Version: %{version}
%{expand: %%define rpm_version %{version}}
Release: 22.5
Group: System Environment/Base
Source0: ftp://jbj.org/pub/rpm-devel/rpm-%{rpm_version}.tar.gz
Source1: popt_zh_TW.po
Source2: popt_zh_CN.po
Patch0: rpm-4.4.1-posttrans.patch
Patch1: rpm-4.4.1-gcc4.patch
Patch2: rpm-4.4.1-hkp-disable.patch
Patch3: rpm-4.4.1-read-macro.patch
Patch4: rpm-4.4.1-fileconflicts.patch 
Patch5: rpm-4.4.1-prereq.patch
Patch6: rpm-4.4.1-nonmerged.patch
Patch7: rpm-4.4.1-prepostun.patch
Patch8: rpm-4.4.1-ordererase.patch
Patch9: rpm-4.4.1-matchpathcon.patch
Patch10: rpm-4.4.1-check-symlinks.patch
Patch11: rpm-4.4.1-zlib-can-2005-2096.patch

# VZRPM-specific patches
Patch99:   rpm-4.3.3-omit-nss.swsoft.patch
Patch102:  rpm-4.4-vzctl.patch
Patch103:  rpm-4.4.1-all-static.patch

# Force --promoteepoch option and create --nopromoteepoch one
Patch111:  rpm-4.2.1-promoteepoch.patch

# Fix rpm-python to return correct exit code for RPM transaction
# We need it for YUM functionality
Patch120: rpm-4.2.1-python_rpmts.patch

Patch505:  rpm-4.3-fsm-magic.patch

Patch2000: rpm-4.4.1-debugtools.swsoft.patch
Patch2001: rpm-4.4.1-python-static.swsoft.patch
Patch2002: rpm-4.4.1-macros-path.swsoft.patch
Patch2003: rpm-4.4.1-lock-in-root.swsoft.patch


License: GPL
Conflicts: patch < 2.5
%ifos linux
Prereq: fileutils
# shadow-utils
%endif
#Requires: popt = 1.10.1
#Obsoletes: rpm-perl < %{version}

# XXX necessary only to drag in /usr/lib/libelf.a, otherwise internal elfutils.
BuildRequires: elfutils-libelf
BuildRequires: elfutils-devel

BuildRequires: sed readline-devel zlib-devel

BuildRequires: beecrypt-devel >= 4.1.2
BuildRequires: binutils >= 2.15.94.0.2.2-2.2.swsoft
#Requires: beecrypt >= 4.1.2

BuildRequires: neon-devel
BuildRequires: sqlite-devel

# XXX Red Hat 5.2 has not bzip2 or python
%if %{with_bzip2}
BuildRequires: bzip2-devel >= 0.9.0c-2
%endif
%if %{with_python_subpackage}
BuildRequires: python-devel >= %{with_python_version_22}
%endif

BuildRoot: %{_tmppath}/%{name}-root

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

This version has been modified to work with special RPM packages
for Virtuozzo project. The modifications are backward-compatible 
with plain RPM format.

#%package libs
#Summary:  Libraries for manipulating RPM packages.
#Group: Development/Libraries

#%description libs
#This package contains the RPM shared libraries.

#%package devel
#Summary:  Development files for manipulating RPM packages.
#Group: Development/Libraries
#Requires: rpm = %{rpm_version}-%{release}
#Requires: beecrypt >= 4.1.2
#Requires: neon-devel
#Requires: sqlite-devel
#Requires: libselinux-devel

#%description devel
#This package contains the RPM C library and header files. These
#development files will simplify the process of writing programs that
#manipulate RPM packages and databases. These files are intended to
#simplify the process of creating graphical package managers or any
#other tools that need an intimate knowledge of RPM packages in order
#to function.

#This package should be installed if you want to develop programs that
#will manipulate RPM packages and databases.

#%package build
#Summary: Scripts and executable programs used to build packages.
#Group: Development/Tools
#Requires: rpm = %{rpm_version}-%{release}, patch >= 2.5, file
#Provides: rpmbuild(VendorConfig) = 4.1-1

#%description build
#The rpm-build package contains the scripts and executable programs
#that are used to build packages using the RPM Package Manager.

%if %{with_python_subpackage}
%package python
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Development/Libraries
Requires: %{vzrpm_name} = %{rpm_version}-%{release}
Requires: python >= %{with_python_version_22}
#Requires: elfutils >= 0.55

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.
%endif

#%package -n popt
#Summary: A C library for parsing command line parameters.
#Group: Development/Libraries
#Version: 1.10.1

#%description -n popt
#Popt is a C library for parsing command line parameters. Popt was
#heavily influenced by the getopt() and getopt_long() functions, but it
#improves on them by allowing more powerful argument expansion. Popt
#can parse arbitrary argv[] style arrays and automatically set
#variables based on command line arguments. Popt allows command line
#arguments to be aliased via configuration files and includes utility
#functions for parsing arbitrary strings into argv[] arrays using
#shell-like rules.

%prep
%setup -q -n rpm-%{rpm_version}
%patch0 -p0 
%patch1 -p1
%patch2 -p1
%patch3 -p1 
%patch4 -p1  -b .fileconflicts
%patch5 -p1  -b .prereq
%patch6 -p1
%patch7 -p1  -b .prepostun
%patch8 -p1  -b .ordererase
%patch9 -p1  -b .matchpathcon
%patch10 -p1  -b .checklinks
%patch11 -p1  -b .zlib

%patch99 -p1 -b .nss
%patch102 -p1 -b .vzctl
%patch103 -p1 -b .allstatic

%patch111 -p1 -b .promoteepoch

#%patch502 -p1 -b .elfseek

#%patch504 -p1 -b .suse
%patch505 -p1 -b .fsmmagic
#%patch506 -p1 -b .libpthread

%patch2000 -p1
%patch2001 -p1
%patch2002 -p1
%patch2003 -p1

# XXX move zh_CN
sed -i 's/zh_CN.GB2312/zh_CN zh_TW/' popt/configure*
mv -f po/zh_CN.GB2312.po po/zh_CN.po
rm -f popt/po/zh_CN.GB2312.po popt/po/zh_CN.GB2312.gmo
cp %{SOURCE1} popt/po/zh_CN.po 
cp %{SOURCE2} popt/po/zh_TW.po 

%build

# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

alternatives --set py24 /usr/bin/python.23

%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version_23}"
%else
WITH_PYTHON="--without-python"
%endif

%ifos linux
 CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
 ./configure --prefix=%{__prefix} --sysconfdir=/etc --includedir=/usr/include \
	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
	--mandir='${prefix}%{__share}/man' --enable-static --disable-shared \
	$WITH_PYTHON --enable-posixmutexes --without-javaglue --without-libelf
 %else
 export CPPFLAGS=-I%{__prefix}/include 
 CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
 	--without-javaglue
%endif

#XXX build gmo files - remove in next 4.4.x upstream release
pushd popt/po
make zh_CN.gmo
make zh_TW.gmo
popd

make -C zlib || :

make %{?_smp_mflags} python/Makefile

rm -rf /var/tmp/pythoniac-2.3-44

mkdir /var/tmp/pythoniac-2.3-44
cp -r python /var/tmp/pythoniac-2.3-44
make clean

alternatives --set py24 /usr/bin/python.24

%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version_24}"
%else
WITH_PYTHON="--without-python"
%endif

%ifos linux
 CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
 ./configure --prefix=%{__prefix} --sysconfdir=/etc --includedir=/usr/include \
	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
	--mandir='${prefix}%{__share}/man' --enable-static --disable-shared \
	$WITH_PYTHON --enable-posixmutexes --without-javaglue --without-libelf
 %else
 export CPPFLAGS=-I%{__prefix}/include 
 CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
 	--without-javaglue
%endif

#XXX build gmo files - remove in next 4.4.x upstream release
pushd popt/po
make zh_CN.gmo
make zh_TW.gmo
popd

make -C zlib || :

make %{?_smp_mflags} python/Makefile

rm -rf /var/tmp/pythoniac-2.4-44

mkdir /var/tmp/pythoniac-2.4-44
cp -r python /var/tmp/pythoniac-2.4-44
make clean

alternatives --set py24 /usr/bin/python.22

%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version_22}"
%else
WITH_PYTHON="--without-python"
%endif

%ifos linux
 CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
 ./configure --prefix=%{__prefix} --sysconfdir=/etc --includedir=/usr/include \
	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
	--mandir='${prefix}%{__share}/man' --enable-static --disable-shared \
	$WITH_PYTHON --enable-posixmutexes --without-javaglue --without-libelf
 %else
 export CPPFLAGS=-I%{__prefix}/include 
 CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
 	--without-javaglue
%endif

#XXX build gmo files - remove in next 4.4.x upstream release
pushd popt/po
make zh_CN.gmo
make zh_TW.gmo
popd

make -C zlib || :

make %{?_smp_mflags}

rm -rf /var/tmp/pythoniac-2.2-44

mkdir /var/tmp/pythoniac-2.2-44
cp -r python /var/tmp/pythoniac-2.2-44
# make clean

# # if %{with_python_subpackage}
# WITH_PYTHON="--with-python=%{with_python_version}"
# else
# WITH_PYTHON="--without-python"
# endif

# # %ifos linux
# CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
# ./configure --prefix=%{__prefix} --sysconfdir=/etc --includedir=/usr/include \
#	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
#	--mandir='${prefix}%{__share}/man' --enable-static --disable-shared \
#	$WITH_PYTHON --enable-posixmutexes --without-javaglue --without-libelf
# %else
# export CPPFLAGS=-I%{__prefix}/include 
# CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
# 	--without-javaglue
# endif

#XXX build gmo files - remove in next 4.4.x upstream release
# pushd popt/po
# make zh_CN.gmo
# make zh_TW.gmo
# popd

# make -C zlib || :

# make %{?_smp_mflags}

%install
# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

rm -rf $RPM_BUILD_ROOT

# #PPATH="%{__prefix}/lib/python%{with_python_version}"
# #mkdir -p ${RPM_BUILD_ROOT}/$PPATH

# #PYTHONPATH=/var/tmp:${PPATH} make DESTDIR="$RPM_BUILD_ROOT" install

PPATH_22="%{__prefix}/lib/python%{with_python_version_22}"
mkdir -p ${RPM_BUILD_ROOT}/$PPATH_22

PPATH_23="%{__prefix}/lib/python%{with_python_version_23}"
mkdir -p ${RPM_BUILD_ROOT}/$PPATH_23

PPATH_24="%{__prefix}/lib/python%{with_python_version_24}"
mkdir -p ${RPM_BUILD_ROOT}/$PPATH_24

rm -rf python
mv -f /var/tmp/pythoniac-2.2-44/* .
PYTHONPATH=/var/tmp:${PPATH_22} make DESTDIR="$RPM_BUILD_ROOT" install

rm -rf python
mv -f /var/tmp/pythoniac-2.3-44/* .
PYTHONPATH=/var/tmp:${PPATH_23} make DESTDIR="$RPM_BUILD_ROOT" install

rm -rf python
mv -f /var/tmp/pythoniac-2.4-44/* .
PYTHONPATH=/var/tmp:${PPATH_24} make DESTDIR="$RPM_BUILD_ROOT" install

# Working around breakage from the -L$(RPM_BUILD_ROOT)... -L$(DESTDIR)...
# workaround to #132435,
# and from linking to included zlib
#for i in librpm.la librpmbuild.la librpmdb.la librpmio.la ; do
#	sed -i -e 's~-L'"$RPM_BUILD_ROOT"'[^ ]* ~~g' \
#		-e 's~-L'"$RPM_BUILD_DIR"'[^ ]* ~~g' \
#		"$RPM_BUILD_ROOT%{__libdir}/$i"
#done

# Clean up dangling symlinks
# XXX Fix in rpm tree
#for i in /usr/bin/rpme /usr/bin/rpmi /usr/bin/rpmu; do
#    rm -f "$RPM_BUILD_ROOT"/"$i" 
#done

# Clean up dangling symlinks
#for i in /usr/lib/rpmpopt /usr/lib/rpmrc; do
#    rm -f "$RPM_BUILD_ROOT"/"$i" 
#done

%ifos linux

# Save list of packages through cron
#mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
#install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}/etc/cron.daily/rpm

#mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
#install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}/etc/logrotate.d/rpm

mkdir -p $RPM_BUILD_ROOT/etc/rpm

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
#for dbi in \
#	Basenames Conflictname Dirnames Group Installtid Name Packages \
#	Providename Provideversion Requirename Requireversion Triggername \
#	Filemd5s Pubkeys Sha1header Sigmd5 \
#	__db.001 __db.002 __db.003 __db.004 __db.005 __db.006 __db.007 \
#	__db.008 __db.009
#do
#    touch $RPM_BUILD_ROOT/var/lib/rpm/$dbi
#done

%endif

%if %{with_apidocs}
gzip -9n apidocs/man/man*/* || :
%endif

# Get rid of unpackaged files
{ cd $RPM_BUILD_ROOT
  rm -f .%{__prefix}/lib/rpm/{Specfile.pm,cpanflute,cpanflute2,rpmdiff,rpmdiff.cgi,sql.prov,sql.req,tcl.req}
  rm -rf .%{__mandir}/{fr,ko}
%if %{with_python_subpackage}
  rm -f .%{__libdir}/python%{with_python_version_22}/site-packages/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version_22}/site-packages/rpm/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version_22}/site-packages/rpmdb/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version_23}/site-packages/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version_23}/site-packages/rpm/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version_23}/site-packages/rpmdb/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version_24}/site-packages/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version_24}/site-packages/rpm/*.{a,la}
  rm -f .%{__libdir}/python%{with_python_version_24}/site-packages/rpmdb/*.{a,la}
%endif
}

%clean
rm -rf $RPM_BUILD_ROOT

#%pre
#%ifos linux
#if [ -f /var/lib/rpm/packages.rpm ]; then
#    echo "
#You have (unsupported)
#	/var/lib/rpm/packages.rpm	db1 format installed package headers
#Please install rpm-4.0.4 first, and do
#	rpm --rebuilddb
#to convert your database from db1 to db3 format.
#"
#    exit 1
#fi
#/usr/sbin/groupadd -g 37 rpm				> /dev/null 2>&1
#/usr/sbin/useradd  -r -d /var/lib/rpm -u 37 -g 37 rpm -s /sbin/nologin	> /dev/null 2>&1
#%endif
#exit 0

#%post
#%ifos linux
#/sbin/ldconfig

# Establish correct rpmdb ownership.
#/bin/chown rpm.rpm /var/lib/rpm/[A-Z]*

# XXX Detect (and remove) incompatible dbenv files during db-4.3.14 upgrade.
# XXX Removing dbenv files in %%post opens a lock race window, a tolerable
# XXX risk compared to the support issues involved with upgrading Berkeley DB.
#[ -w /var/lib/rpm/__db.001 ] &&
#/usr/lib/rpm/rpmdb_stat -CA -h /var/lib/rpm 2>&1 |
#grep "db_stat: Program version 4.3 doesn't match environment version" 2>&1 > /dev/null &&
#	rm -f /var/lib/rpm/__db*
                                                                                
#%endif
#exit 0

#%ifos linux
#%postun
#/sbin/ldconfig
#if [ $1 = 0 ]; then
#    /usr/sbin/userdel rpm
#    /usr/sbin/groupdel rpm
#fi
#exit 0

#%post devel -p /sbin/ldconfig
#%postun devel -p /sbin/ldconfig

#%post -n popt -p /sbin/ldconfig
#%postun -n popt -p /sbin/ldconfig
#%endif

#%if %{with_python_subpackage}
#%post python -p /sbin/ldconfig
#%postun python -p /sbin/ldconfig
#%endif

%define	rpmattr		%attr(0755, rpm, rpm)

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY RPM-GPG-KEY BETA-GPG-KEY CHANGES GROUPS doc/manual/[a-z]*
# XXX comment these lines out if building with rpm that knows not %pubkey attr
%pubkey RPM-PGP-KEY
%pubkey RPM-GPG-KEY
%pubkey BETA-GPG-KEY
%attr(0755, rpm, rpm)	%{__prefix}/bin/rpm

#%ifos linux
#%config(noreplace,missingok)	/etc/cron.daily/rpm
#%config(noreplace,missingok)	/etc/logrotate.d/rpm
#%dir				/etc/rpm
#%config(noreplace,missingok)	/etc/rpm/macros.*
#%attr(0755, rpm, rpm)	%dir /var/lib/rpm
#%attr(0755, rpm, rpm)	%dir /var/spool/repackage

#%define	rpmdbattr %attr(0644, rpm, rpm) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)
#%rpmdbattr	/var/lib/rpm/*
#%endif

%rpmattr	%{__bindir}/rpm2cpio
%rpmattr	%{__bindir}/gendiff
%rpmattr	%{__bindir}/rpmdb
#%rpmattr	%{__bindir}/rpm[eiu]
%rpmattr	%{__bindir}/rpmsign
%rpmattr	%{__bindir}/rpmquery
%rpmattr	%{__bindir}/rpmverify

%attr(0755, rpm, rpm)	%dir %{__prefix}/lib/rpm
%rpmattr	%{__prefix}/lib/rpm/config.guess
%rpmattr	%{__prefix}/lib/rpm/config.sub
%rpmattr	%{__prefix}/lib/rpm/convertrpmrc.sh
%rpmattr	%{__prefix}/lib/rpm/freshen.sh
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/macros
%rpmattr	%{__prefix}/lib/rpm/mkinstalldirs
%rpmattr	%{__prefix}/lib/rpm/rpm.*
%rpmattr	%{__prefix}/lib/rpm/rpm2cpio.sh
%rpmattr	%{__prefix}/lib/rpm/rpm[deiukqv]
%rpmattr	%{__prefix}/lib/rpm/tgpg
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmpopt*
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmrc

%ifarch i386 i486 i586 i686 athlon pentium3 pentium4
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/i[3456]86*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/athlon*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/pentium*
%endif
%ifarch alpha alphaev5 alphaev56 alphapca56 alphaev6 alphaev67
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/alpha*
%endif
%ifarch sparc sparcv8 sparcv9 sparc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/sparc*
%endif
%ifarch ia64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ia64*
%endif
%ifarch powerpc ppc ppciseries ppcpseries ppcmac ppc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ppc*
%endif
%ifarch s390 s390x
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/s390*
%endif
%ifarch armv3l armv4l
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/armv[34][lb]*
%endif
%ifarch mips mipsel
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/mips*
%endif
%ifarch x86_64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/x86_64*
%endif
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/noarch*

#%rpmattr	%{__prefix}/lib/rpm/rpmdb_*
#%rpmattr	%{__prefix}/lib/rpm/rpmfile

#%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/rpm.mo
#%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/rpm.mo
#%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/rpm.mo
#%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/rpm.mo
#%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/rpm.mo
#%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/rpm.mo
#%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/rpm.mo
#%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/rpm.mo
#%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/rpm.mo
#%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/rpm.mo
#%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/rpm.mo
#%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/rpm.mo
#%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/rpm.mo
#%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/rpm.mo
#%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/rpm.mo
#%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/rpm.mo
#%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/rpm.mo
#%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/rpm.mo
#%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/rpm.mo
#%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/rpm.mo

%{__mandir}/man1/gendiff.1*
%{__mandir}/man8/rpm.8*
%{__mandir}/man8/rpm2cpio.8*
#%lang(ja)	%{__mandir}/ja/man[18]/*.[18]*
#%lang(pl)	%{__mandir}/pl/man[18]/*.[18]*
#%lang(ru)	%{__mandir}/ru/man[18]/*.[18]*
#%lang(sk)	%{__mandir}/sk/man[18]/*.[18]*

#%files libs
#%defattr(-,root,root)
#%{__libdir}/librpm-4.4.so
#%{__libdir}/librpmdb-4.4.so
#%{__libdir}/librpmio-4.4.so
#%{__libdir}/librpmbuild-4.4.so

#%files build
#%defattr(-,root,root)
#%dir %{__prefix}/src/redhat
#%dir %{__prefix}/src/redhat/BUILD
#%dir %{__prefix}/src/redhat/SPECS
#%dir %{__prefix}/src/redhat/SOURCES
#%dir %{__prefix}/src/redhat/SRPMS
#%dir %{__prefix}/src/redhat/RPMS
#%{__prefix}/src/redhat/RPMS/*
#%rpmattr	%{__bindir}/rpmbuild
#%rpmattr	%{__prefix}/lib/rpm/brp-*
#%rpmattr	%{__prefix}/lib/rpm/check-files
#%rpmattr	%{__prefix}/lib/rpm/check-prereqs
#%rpmattr	%{__prefix}/lib/rpm/config.site
#%rpmattr	%{__prefix}/lib/rpm/cross-build
#%rpmattr	%{__prefix}/lib/rpm/debugedit
#%rpmattr	%{__prefix}/lib/rpm/find-debuginfo.sh
#%rpmattr	%{__prefix}/lib/rpm/find-lang.sh
#%rpmattr	%{__prefix}/lib/rpm/find-prov.pl
#%rpmattr	%{__prefix}/lib/rpm/find-provides
#%rpmattr	%{__prefix}/lib/rpm/find-provides.perl
#%rpmattr	%{__prefix}/lib/rpm/find-req.pl
#%rpmattr	%{__prefix}/lib/rpm/find-requires
#%rpmattr	%{__prefix}/lib/rpm/find-requires.perl
#%rpmattr	%{__prefix}/lib/rpm/get_magic.pl
#%rpmattr	%{__prefix}/lib/rpm/getpo.sh
#%rpmattr	%{__prefix}/lib/rpm/http.req
#%rpmattr	%{__prefix}/lib/rpm/javadeps
#%rpmattr	%{__prefix}/lib/rpm/magic
#%rpmattr	%{__prefix}/lib/rpm/magic.mgc
#%rpmattr	%{__prefix}/lib/rpm/magic.mime
#%rpmattr	%{__prefix}/lib/rpm/magic.mime.mgc
#%rpmattr	%{__prefix}/lib/rpm/magic.prov
#%rpmattr	%{__prefix}/lib/rpm/magic.req
#%rpmattr	%{__prefix}/lib/rpm/perldeps.pl
#%rpmattr	%{__prefix}/lib/rpm/perl.prov
#%rpmattr	%{__prefix}/lib/rpm/perl.req
#%rpmattr	%{__prefix}/lib/rpm/pythondeps.sh

#%rpmattr	%{__prefix}/lib/rpm/rpm[bt]
#%rpmattr	%{__prefix}/lib/rpm/rpmdeps
#%rpmattr	%{__prefix}/lib/rpm/trpm
#%rpmattr	%{__prefix}/lib/rpm/u_pkg.sh
#%rpmattr	%{__prefix}/lib/rpm/vpkg-provides.sh
#%rpmattr	%{__prefix}/lib/rpm/vpkg-provides2.sh

#%{__mandir}/man8/rpmbuild.8*
#%{__mandir}/man8/rpmdeps.8*

%if %{with_python_subpackage}
%files python
%defattr(-,root,root)
%{__prefix}/lib/python%{with_python_version_22}/site-packages/poptmodule*
%{__prefix}/lib/python%{with_python_version_22}/site-packages/rpm
%{__prefix}/lib/python%{with_python_version_22}/site-packages/rpmdb
%{__prefix}/lib/python%{with_python_version_23}/site-packages/poptmodule*
%{__prefix}/lib/python%{with_python_version_23}/site-packages/rpm
%{__prefix}/lib/python%{with_python_version_23}/site-packages/rpmdb
%{__prefix}/lib/python%{with_python_version_24}/site-packages/poptmodule*
%{__prefix}/lib/python%{with_python_version_24}/site-packages/rpm
%{__prefix}/lib/python%{with_python_version_24}/site-packages/rpmdb
%endif

#%files devel
#%defattr(-,root,root)
#%if %{with_apidocs}
#%doc apidocs
#%endif
#%{__includedir}/rpm
#%{__libdir}/librpm.a
#%{__libdir}/librpm.la
#%{__libdir}/librpm.so
#%{__libdir}/librpmdb.a
#%{__libdir}/librpmdb.la
#%{__libdir}/librpmdb.so
#%{__libdir}/librpmio.a
#%{__libdir}/librpmio.la
#%{__libdir}/librpmio.so
#%{__libdir}/librpmbuild.a
#%{__libdir}/librpmbuild.la
#%{__libdir}/librpmbuild.so
#%{__mandir}/man8/rpmcache.8*
#%{__mandir}/man8/rpmgraph.8*
#%rpmattr	%{__prefix}/lib/rpm/rpmcache
#%rpmattr	%{__bindir}/rpmgraph


%changelog
* Fri Oct 14 2005 Konstantin B. Bukharov <bkb@sw.ru> - 4.4.1-22.5.swsoft
 - vzrpm scans /etc/passwd and /etc/group instead 
  of using nsswitch mechanism

* Wed Sep 28 2005 Kir Kolyshkin <kir@sw.ru> - 4.4.1-22.4.swsoft
- added patch to create transaction lock file inside --root

* Thu Sep 15 2005 Kalmetiev Irek <unown@sw.ru> - 4.4.1-22.3.swsoft
- three python support added

* Wed Sep 7 2005 Konstantin B. Bukharov <bkb@sw.ru> - 4.4.1-22.2.swsoft
- Statically linked vzrpm44-python
- Now requires patched binutils on fedora-core-4

* Thu Sep 1 2005 Konstantin B. Bukharov <bkb@sw.ru> - 4.4.1-22.1.swsoft
- vzrpm44 (installed into /usr/share/vzpkgtools/vzrpm44)
- No external requirements - statically linked binaries
- No vzrpm44-python yet

* Wed Jul 13 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-22
- zlib fix for CAN-2005-2096

* Tue May 24 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-21
- Update translations (#154623)

* Sat May 21 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-20
- Drop signature patch
- dangling unpackaged symlinks

* Tue May 17 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-19
- Check for symlinks in check-files (#108778)
- Move zh_CN (#154623)
- Test fix for signing old rpms (#127113)

* Wed May 04 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-18.1
- Fix typo
- Fix typo

* Wed May 04 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-18
- Add missing fsm.c from matchpathcon patches 

* Tue May 03 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-17
- Fix typo

* Tue May 03 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-16
- Yet more matchpathcon

* Tue May 03 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-15
- Some more matchpathcon work

* Mon May 02 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-14
- matchpathcon fixup

* Mon May 02 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-13
- Use matchpathcon (#151870)

* Sat Apr 30 2005 Miloslav Trmac <mitr@redhat.com> - 4.4.1-12
- Remove $RPM_BUILD_ROOT and $RPM_BUILD_DIR from distribued .la files (#116891)
- Don't ship static version of _rpmdb.so
- BuildRequires: readline-devel

* Wed Apr 27 2005 Paul Nasrat <pnasrat@redhat.com> - 4.4.1-11
- Fix for (pre,postun) (#155700)
- Erase ordering

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 4.4.1-10
- add patch to fix segfault with non-merged hdlists

* Thu Mar 31 2005 Thomas Woerner <twoerner@redhat.com> 4.4.1-9
- enabled prereqs again

* Mon Mar 21 2005 Paul Nasrat <pnasrat@redhat.com> 4.4.1-8
- Add devel requires libselinux-devel
- Fileconflicts as FC3 (#151609)

* Wed Mar  9 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-7
- rebuild against renamed sqlite package (#149719).

* Mon Mar  7 2005 Jeremy Katz <katzj@redhat.com> - 4.4.1-6
- fix build with new glibc

* Mon Mar  7 2005 Jeremy Katz <katzj@redhat.com> - 4.4.1-5
- disable hkp by default

* Tue Mar  1 2005 Jeremy Katz <katzj@redhat.com> - 4.4.1-4
- fix build with gcc 4

* Mon Feb 28 2005 Jeremy Katz <katzj@redhat.com> - 4.4.1-3
- fix posttrans callback check being backwards (#149524)

* Sun Feb 13 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-1
- don't classify files in /dev (#146623).
- don't build with sqlite3 if <sqlite3.h> is missing.

* Sat Feb 12 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.24
- zlib: uniqify certain symbols to prevent name space pollution.
- macosx: include <sys/types.h> so that python sees the u_char typedef.
- macosx: change to --prefix=/usr rather than /opt/local.
- use waitpid rather than SIGCHLD reaper.
- rip out DB_PRIVATE revert if not NPTL, it's not the right thing to do.

* Fri Feb 11 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.22
- permit build scriptlet interpreters to be individually overridden.

* Thu Feb 10 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.20
- perform callbacks as always (#147537).

* Wed Feb  2 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.16
- fix: length of gpg V4 hash seed was incorrect (#146896).
- add support for V4 rfc-2440 signatures.

* Mon Jan 31 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.14
- add sqlite internal (build still expects external sqlite3-3.0.8).
- sqlite: revert to original narrow scoping of cOpen/cClose.

* Fri Jan 28 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.12
- python: force dbMatch() h# key to be 32 bit integer (#146477).

* Tue Jan 25 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.10
- more macosx fiddles.
- move global /var/lock/rpm/transaction to dbpath.
- permit fcntl path to be configured through rpmlock_path macro.
- add missing #if defined(ENABLE_NLS) (#146184).

* Mon Jan 17 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.8
- changes to build on Mac OS X using darwinports neon/beecrypt.
- add https://svn.uhulinux.hu/packages/dev/zlib/patches/02-rsync.patch

* Sun Jan  9 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.7
- build against external/internal neon.

* Tue Jan  4 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.6
- mac os x patches (#131943,#131944,#132924,#132926).
- mac os x patches (#133611, #133612, #134637).

* Sun Jan  2 2005 Jeff Johnson <jbj@jbj.org> 4.4.1-0.5
- upgrade to db-4.3.27.
- revert MAGIC_COMPRESS, real fix is in libmagic (#143782).
- upgrade to file-4.12 internal.

* Tue Dec  7 2004 Jeff Johnson <jbj@jbj.org> 4.4.1-0.3
- use package color as Obsoletes: color.

* Mon Dec  6 2004 Jeff Johnson <jbj@jbj.org> 4.4.1-0.2
- automagically detect and emit "python(abi) = 2.4" dependencies.
- popt 1.10.1 to preserve newer.

* Sun Dec  5 2004 Jeff Johnson <jbj@jbj.org> 4.4.1-0.1
- force *.py->*.pyo byte code compilation with brp-python-bytecompile.
